Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 569786 - media-fonts/fira-code: Monospaced font with programming ligatures based on Fira Mono
Summary: media-fonts/fira-code: Monospaced font with programming ligatures based on Fi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hans de Graaff
URL: https://github.com/tonsky/FiraCode
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-26 09:57 UTC by José Romildo Malaquias
Modified: 2018-03-31 07:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-fonts/fira-code-1.204.ebuild (fira-code-1.204.ebuild,471 bytes, text/plain)
2016-11-23 02:35 UTC, rx80
Details

Note You need to log in before you can comment on or make changes to this bug.
Description José Romildo Malaquias 2015-12-26 09:57:53 UTC
Please add fira-code to portage.

Fira Code is a Fira Mono font extended with a set of ligatures for common programming multi-character combinations. This is just a font rendering feature: underlying code remains ASCII-compatible. This helps to read and understand code faster. For some frequent sequences like .. or // ligatures allow us to correct spacing.
Comment 1 rx80 2016-11-23 02:35:53 UTC
Created attachment 454094 [details]
media-fonts/fira-code-1.204.ebuild
Comment 2 Hans de Graaff gentoo-dev 2017-07-21 10:19:41 UTC
I have a copy in my "graaff" overlay. I intend to also add emacs support to it, and then I might also add it to the gentoo repository.
Comment 3 Larry the Git Cow gentoo-dev 2018-03-31 07:39:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bc69a5e200f0112acf4d9f4ffd604c6813ce680

commit 1bc69a5e200f0112acf4d9f4ffd604c6813ce680
Author:     Hans de Graaff <graaff@gentoo.org>
AuthorDate: 2018-03-31 07:39:19 +0000
Commit:     Hans de Graaff <graaff@gentoo.org>
CommitDate: 2018-03-31 07:39:51 +0000

    media-fonts/fira-code: initial import of 1.205
    
    This ebuild also includes an upstream Symbol version of the glyphs that
    can be used by editors that don't support ligatures, e.g. Emacs.
    
    Closes: https://bugs.gentoo.org/569786
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 media-fonts/fira-code/Manifest               |  2 ++
 media-fonts/fira-code/fira-code-1.205.ebuild | 27 +++++++++++++++++++++++++++
 media-fonts/fira-code/metadata.xml           | 12 ++++++++++++
 3 files changed, 41 insertions(+)